<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
 <head>
  <meta charset="utf-8" />
  <title>
   CS Games 2019
  </title>
  <base href="https://2019.csgames.org" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="icon" type="image/x-icon" href="favicon-cs.ico" />
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700" type="text/css" />
  <link rel="stylesheet" href="styles.ad2ee4323244b8ed9976.css" />
  <style>
   .date{text-align:center;font-weight:700}.flip-cd .time{border-radius:5px;box-shadow:0 0 10px 0 rgba(0,0,0,.5);display:inline-block;text-align:center;position:relative;height:95px;width:95px;-webkit-perspective:479px;perspective:479px;-webkit-backface-visibility:hidden;backface-visibility:hidden;-webkit-transform:translateZ(0);transform:translateZ(0);-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0);margin:5px}.flip-cd .count{background:#0d5899;color:#f8f8f8;display:block;font-family:Oswald,sans-serif;font-size:3.3em;line-height:2em;overflow:hidden;position:absolute;text-align:center;text-shadow:0 0 10px rgba(0,0,0,.8);top:0;width:100%;-webkit-transform:translateZ(0);transform:translateZ(0);-webkit-transform-style:flat;transform-style:flat}.flip-cd .count.top{border-top:1px solid rgba(255,255,255,.2);border-bottom:1px solid rgba(255,255,255,.1);border-radius:5px 5px 0 0;height:50%;-webkit-transform-origin:50% 100%;transform-origin:50% 100%}.flip-cd .count.bottom{background-image:linear-gradient(rgba(255,255,255,.1),transparent);border-top:1px solid #000;border-bottom:1px solid #000;border-radius:0 0 5px 5px;line-height:0;height:50%;top:50%;-webkit-transform-origin:50% 0;transform-origin:50% 0}.flip-cd .count.curr.top{-webkit-transform:rotateX(0);transform:rotateX(0);z-index:3}.flip-cd .count.next.bottom{-webkit-transform:rotateX(90deg);transform:rotateX(90deg);z-index:2}.flip-cd .label{font-size:medium;margin-top:5px;display:block;position:absolute;top:95px;width:100%;color:#0d5899;background-color:transparent}.flip-cd .hand{display:block;height:100%;width:100%;margin:0!important}.flip-cd .flip .count.curr.top{transition:all 225ms ease-in-out;-webkit-transform:rotateX(-90deg);transform:rotateX(-90deg)}.flip-cd .flip .count.next.bottom{transition:all 225ms ease-in-out 225ms;-webkit-transform:rotateX(0);transform:rotateX(0)}
  </style>
  <style>
   .navbar-default[_ngcontent-c1]{background-color:#25408f;color:rgba(255,255,255,.84)!important}.navbar[_ngcontent-c1]   a[_ngcontent-c1]{color:rgba(255,255,255,.84)!important}.navbar[_ngcontent-c1]{border:0;border-radius:0}
  </style>
  <style>
  </style>
  <style>
   .disclaimer[_ngcontent-c5]{margin-left:3px}
  </style>
  <style>
   .project-item.not-show[_ngcontent-c6]{display:none}.project-outer[_ngcontent-c6]{vertical-align:top}@media only screen and (max-width:380px){.project-outer[_ngcontent-c6]{height:350px}}@media only screen and (min-width:1224px){.project-outer[_ngcontent-c6]{height:350px}}.project-outer[_ngcontent-c6]   .project-headlines[_ngcontent-c6]{padding-bottom:5px;margin:10px 0;border-bottom:1px solid #666;font-weight:700;font-size:26px}.project-outer[_ngcontent-c6]   .project-inner[_ngcontent-c6] &gt; a[_ngcontent-c6]{display:block}.project-outer[_ngcontent-c6]   .project-inner[_ngcontent-c6]{text-align:center}.project-outer[_ngcontent-c6]   .project-inner[_ngcontent-c6]   .project-content[_ngcontent-c6]{text-align:justify;min-height:75px}.project-outer[_ngcontent-c6]   span.tags[_ngcontent-c6]{border-bottom:1px solid #888;margin:0 5px;font-size:13px}.project-outer[_ngcontent-c6]   span.tags[_ngcontent-c6]:first-child, .project-outer[_ngcontent-c6]   span.tags[_ngcontent-c6]:last-child{margin-left:0}.project-outer[_ngcontent-c6]   .project-footer[_ngcontent-c6]{clear:both;display:inline-block;width:100%}.project-outer[_ngcontent-c6]   .project-footer[_ngcontent-c6]   .project-link[_ngcontent-c6]{display:inline-block;position:relative;float:left}.project-outer[_ngcontent-c6]   .project-footer[_ngcontent-c6]   .project-timeline[_ngcontent-c6]{display:inline-block;position:relative;float:right;font-size:13px;font-style:italic;vertical-align:middle;margin:10px 0;padding:5px 0}.tag-group[_ngcontent-c6]{margin:0 0 25px}.tag-group[_ngcontent-c6]   .tag-cloud[_ngcontent-c6]{margin:0 2px;cursor:pointer}.tag-group[_ngcontent-c6]   .tag-cloud[_ngcontent-c6]   .active[_ngcontent-c6]{background:#ccc}.end-competition[_ngcontent-c6]{margin-right:479px}
  </style>
  <style>
   .calendar-table[_ngcontent-c7]{width:100%;border-spacing:10px 0;border-collapse:separate}.table[_ngcontent-c7]{background-color:transparent}.calendar-table[_ngcontent-c7]   .dark[_ngcontent-c7]{background:#25408f;color:rgba(255,255,255,.95)}.calendar-table[_ngcontent-c7]   .compe[_ngcontent-c7]{padding-top:10px;padding-bottom:10px}.calendar-table[_ngcontent-c7]   .light[_ngcontent-c7]{background:#fff;color:#151515}.calendar-table[_ngcontent-c7]   tbody[_ngcontent-c7]   tr[_ngcontent-c7]   td[_ngcontent-c7]{text-align:center;padding:10px 0}.calendar-table[_ngcontent-c7]   tbody[_ngcontent-c7]   tr[_ngcontent-c7]   th[_ngcontent-c7]{font-weight:400;text-align:right}.calendar-table[_ngcontent-c7]   thead[_ngcontent-c7]   tr[_ngcontent-c7]   th[_ngcontent-c7]{text-align:center;padding-bottom:10px;font-weight:700;font-size:18px}.calendar-table[_ngcontent-c7]   th[_ngcontent-c7]{color:#25408f}
  </style>
  <style>
   .volunteers[_ngcontent-c8]{margin-left:5px}
  </style>
  <style>
   .theme[_ngcontent-c9]{margin-left:5px}
  </style>
  <style>
   .rules[_ngcontent-c10]{margin-left:5px}
  </style>
  <style>
   .sponsors[_ngcontent-c11]{margin-left:5px}
  </style>
  <style>
   .contact[_ngcontent-c12]{margin-left:5px}hr[_ngcontent-c12]{display:block;height:1px;border:0;border-top:1px solid #000;margin:1em 0;padding:0}
  </style>
  <style>
   [_nghost-c2] {
        display: none;
      }
  </style>
 </head>
 <body>
  <app-root ng-version="7.0.0">
   <app-nav-bar _nghost-c1="">
    <div _ngcontent-c1="" class="navbar navbar-default">
     <div _ngcontent-c1="" class="navbar-header">
      <button _ngcontent-c1="" class="navbar-toggle" data-target=".navbar-responsive-collapse" data-toggle="collapse" type="button">
       <span _ngcontent-c1="" class="icon-bar">
       </span>
       <span _ngcontent-c1="" class="icon-bar">
       </span>
       <span _ngcontent-c1="" class="icon-bar">
       </span>
      </button>
      <a _ngcontent-c1="" class="navbar-brand" href="#">
       CS Games 2019
      </a>
     </div>
     <div _ngcontent-c1="" class="navbar-collapse collapse navbar-responsive-collapse">
      <ul _ngcontent-c1="" class="nav navbar-nav">
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#TravelGuide">
         Travel Guide
        </a>
       </li>
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#Participate">
         Participate
        </a>
       </li>
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#disclaimer">
         Disclaimer
        </a>
       </li>
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#Competitions">
         Competitions
        </a>
       </li>
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#Schedule">
         Schedule
        </a>
       </li>
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#Volunteers">
         Getting involved
        </a>
       </li>
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#Theme">
         Theme
        </a>
       </li>
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#Rules">
         Rules
        </a>
       </li>
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#Sponsors">
         Sponsors
        </a>
       </li>
       <li _ngcontent-c1="">
        <a _ngcontent-c1="" href="#Contact">
         Contact
        </a>
       </li>
      </ul>
      <ul _ngcontent-c1="" class="nav navbar-nav navbar-right">
       <li _ngcontent-c1="">
        <!-- -->
        <!-- -->
        <a _ngcontent-c1="" href="javascript:void(0)">
         FR
        </a>
       </li>
      </ul>
     </div>
    </div>
   </app-nav-bar>
   <div style="text-align:center">
    <img alt="CS Games 2019 Logo" src="../assets/file/CSGames_19_logoOriginal.png" width="400" />
   </div>
   <h2 class="date">
    March 22th to 25th 2019
   </h2>
   <!-- -->
   <div class="text-center mt-5 mb-5">
    <countdown class="flip-cd count-down" _nghost-c2="" style="display: inline;">
     <div class="time flip">
      <span class="hand hand-d">
       <span class="count curr top">
        28
       </span>
       <span class="count next top">
        27
       </span>
       <span class="count next bottom">
        27
       </span>
       <span class="count curr bottom">
        28
       </span>
      </span>
      <div class="label">
       Days
      </div>
     </div>
     <div class="time flip">
      <span class="hand hand-h">
       <span class="count curr top">
        23
       </span>
       <span class="count next top">
        22
       </span>
       <span class="count next bottom">
        22
       </span>
       <span class="count curr bottom">
        23
       </span>
      </span>
      <div class="label">
       Hours
      </div>
     </div>
     <div class="time flip">
      <span class="hand hand-m">
       <span class="count curr top">
        29
       </span>
       <span class="count next top">
        28
       </span>
       <span class="count next bottom">
        28
       </span>
       <span class="count curr bottom">
        29
       </span>
      </span>
      <div class="label">
       Minutes
      </div>
     </div>
     <div class="time flip">
      <span class="hand hand-s">
       <span class="count curr top">
        15
       </span>
       <span class="count next top">
        14
       </span>
       <span class="count next bottom">
        14
       </span>
       <span class="count curr bottom">
        15
       </span>
      </span>
      <div class="label">
       Seconds
      </div>
     </div>
    </countdown>
   </div>
   <!-- -->
   <div class="container main outer">
    <app-travel-guide _nghost-c3="">
     <div _ngcontent-c3="" id="TravelGuide">
      <h2 _ngcontent-c3="">
       Travel Guide
      </h2>
      <div _ngcontent-c3="" class="row">
       <div _ngcontent-c3="" class="col-md-12">
        <p _ngcontent-c3="">
         Please download the following travel guide. It contains all important information for the weekend.
        </p>
        <!-- -->
        <a _ngcontent-c3="" class="btn btn-raised btn-primary" download="CS Games 2019 - Travel Guide.pdf" href="../../assets/file/CS Games 2019 - Travel Guide.pdf">
         Download
        </a>
        <!-- -->
       </div>
      </div>
     </div>
    </app-travel-guide>
    <app-participate _nghost-c4="">
     <div _ngcontent-c4="" id="Participate">
      <h2 _ngcontent-c4="">
       Participate
      </h2>
      <div _ngcontent-c4="" class="row">
       <div _ngcontent-c4="" class="col-md-12">
        <p _ngcontent-c4="">
         To participate, you need to buy a ticket for each team member. A team is composed of 7 to 10 participants.
        </p>
        <p _ngcontent-c4="">
         They can be accompanied by a mentor, the mentor in question can be a chaperone from the faculty (professor, club advisor, etc.) as well as a former student. Note that the mentor cannot participate in any competition block with the exception of Puzzle Hero.
        </p>
        <p _ngcontent-c4="">
         Please note that we restrain to one team per school at early bird stage. We will contact you for second teams after the early bird sale.
        </p>
        <a _ngcontent-c4="" class="btn btn-raised btn-primary" href="https://www.eventbrite.ca/e/cs-games-2019-tickets-51496389086">
         Buy tickets
        </a>
       </div>
      </div>
     </div>
    </app-participate>
    <app-disclaimer _nghost-c5="">
     <div _ngcontent-c5="" id="disclaimer">
      <h2 _ngcontent-c5="">
       Disclaimer
      </h2>
      <div _ngcontent-c5="" class="row">
       <div _ngcontent-c5="" class="col-md-12">
        <p _ngcontent-c5="">
         Please read the following disclaimer for the 2019 edition of the CS Games.
        </p>
        <!-- -->
        <a _ngcontent-c5="" class="btn btn-raised btn-primary" download="Disclaimer_EN.pdf" href="../../assets/file/Disclaimer_EN.pdf">
         Download
        </a>
        <!-- -->
       </div>
      </div>
     </div>
    </app-disclaimer>
    <app-competition _nghost-c6="">
     <div _ngcontent-c6="" id="Competitions">
      <h2 _ngcontent-c6="">
       Competitions
      </h2>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Compiler
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           A compiler is a holy black box that can do everything for us. It translates your magnificient “code” into binaries, it optimizes your NP-complex problems into a O(1) solution, it can understand the difference between the operators == and === of Javascript and it can even make coffee for you. If you think you can tame this beast by visiting AST and CFG, this competition is for you.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           C#
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           6 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Reverse Engineering
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           Get your disassemblers and debuggers ready ladies and gentlemen, a device capable of opening portals to new dimensions has been discovered and we need your help to uncover its mysteries! All we know is that’s running an ARM processor. Also, some services are running on it and some might even be exploitable! We extracted the firmware from it but can’t continue without you. You will be rewarded greatly for your hard work!
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Laptop, ARM disassembler/decompiler, Debugger, Scripting language of your choice, Binwalk, QEMU. A docker image with all the needed tools will be handed if you don’t have them.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           6 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Team Software Engineering
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           We hope you are at least as agile as a pragmatic programmer, because this competition is all about hardcore design patterns, clean code and test driven development. And also has-been social networks.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Node.js, TypeScript
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           6 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           7 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Hardware hacking
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           Hey you! Yeah you, Mr. Tinkerer. Break out your oscilloscope, put away that darn hot glue gun and get ready for some hands-on refactoring, reverse-engineering, and hacking of consumer hardware using your electronics and embedded programming skills.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           C/C++, Arduino, analog systems (basics), embedded communication protocols, oscilloscope, logic analyzer
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           6 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Relay Programming
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           On your marks, ready, code! Through this classical relay coding competition, your team will face three different challenges. No communication will be allowed except the good old “My code is so clean that it is self-documented” - as such, you will have to finish the solution that your partners will have started for you. You will be facing a task related to geometry, a classical challenge with a twist, and an optimization challenge. For the latter, regardless of the language of choice, you will only have a few seconds to find the best result possible.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           3 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Knowledge of one these languages : C#, C++, C , Java, Python (version of your choice)
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           6 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Functional Programming
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           If your mind prefers referential transparency to heaps of side effects, this excursion into the world of purely functional programming might feel like a vacation!
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Laptop, Haskell with cabal-install (&gt; 2.0.0.1)
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           6 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          DevOps
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           Is your development and deployment process automated yet? Are you able to setup a QA process that allows your team to catch errors before they set your production server on fire? Do you like microservices? This competition will challenge your ability to setup a standard process to quickly ship and deploy quality code in production.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Laptop, Docker, GitLab, Kubernetes, Ecmascript, RabbitMQ
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           6 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Artificial Intelligence
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           Logical programming, learning algorithms, game theory, planning, reasoning. These are some examples of tool that you could use in this competition. May the most intelligent agent win!
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Python, a laptop with Linux or OS X will be needed
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           6 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           7 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Xtreme Theory
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           This winter, get ready, because we're lifting the anchor and taking theory to the XTREME! With a fellow sailor, you'll be typing, clicking, scrolling and cruising through a sea of challenges ranging from cryptography to graphs, from compression to decompression and from roots to leaves. All of this... blindfolded!*
          </p>
          <p _ngcontent-c6="">
           *Ok, maybe you won't be blindfolded, but nonetheless, it's going to be XTREME!!!
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           One of these following programming languages C/C++, C#, Java, Python, Dart, Go, Javascript (Node.js), PHP, Ruby
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           6 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Sport
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           You can't save the world without any sweat. Get ready to prove that you have what it takes to be the leader of the joint universe.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            To bring :
           </b>
           To be determined
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           5 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          CSE - Security
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           The space time distortion that was witnessed recently has had multiple effects. One of these is the proliferation of aliens of unknown origins here on Earth. These aliens are currently taking over our power plants. Intelligence reporting shows that they might be building portals to teleport more aliens and take over the planet. We need to stop this. Can you help us?
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Bring your own laptop. A fully working and updated Kali Linux machine is a good idea for this challenge. A good review of how to use an OpenVPN client would also help you.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           6 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           7 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          National Bank - Application Security
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           Get ready to show your skills as you will need to hack into the NSA database to extract their machine learning cryptocurrency. Also, the competition is Bring Your Own Hoodie so make sure you got yours as it is mandatory. Bring your laptop.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Python, PHP, SQL, Bash, Pascal, Javascript
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           7 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Mirego - Mobile development
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           Aboard the CS Paradise, festivities are on fire. Cocktail in your hand and phone in your pocket, you join the party and hope to blend in. You realize that most people seem to use some sophisticated device to order beverages, which you don't have. You decide to use your own device and mobile development skills to replicate this device and reach the server, who will then replenish yourself with delicious nectars.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           2 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Your own laptops, Android Studio 3.3 + Kotlin and/or Xcode 10.1 + Swift, be able to compile our [sample projects](https://github.com/mirego/csgames-sample-mobile), mobile devices for debugging (optional, can be your own), basic knowledge of Github to collaborate.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           3 hours
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           7 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Puzzle Hero
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           Benefit from your free time between competitions to solve diverse small challenges. This is the opportunity to put your most obscure skills in practice!
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           10 People
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Skills :
           </b>
           Language of your choice
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           All throughout the CS Games
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           6 %
          </p>
         </div>
        </div>
       </div>
      </div>
      <div _ngcontent-c6="" class="project-item col-md-6 col-md-offset-0 col-sm-6 col-xs-10 col-xs-offset-1 end-competition">
       <div _ngcontent-c6="" class="project-outer">
        <div _ngcontent-c6="" class="project-inner">
         <h3 _ngcontent-c6="" class="project-headlines">
          Participation
         </h3>
         <div _ngcontent-c6="" class="project-content">
          <p _ngcontent-c6="">
           In order to overcome the bad weather during our cruise, helping one another on a ship is primary. The CS Games are above all an opportunity to meet and share memories with other universities.
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Participants :
           </b>
           Everyone
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Duration :
           </b>
           All throughout the CS Games
          </p>
          <p _ngcontent-c6="">
           <b _ngcontent-c6="">
            Weight :
           </b>
           5 %
          </p>
         </div>
        </div>
       </div>
      </div>
     </div>
    </app-competition>
    <br />
    <app-schedule _nghost-c7="">
     <div _ngcontent-c7="" id="Schedule">
      <h2 _ngcontent-c7="">
       Schedule
      </h2>
      <div _ngcontent-c7="" class="table-responsive">
       <table _ngcontent-c7="" class="calendar-table">
        <thead _ngcontent-c7="">
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
          </th>
          <th _ngcontent-c7="">
           Friday March 22nd
          </th>
          <th _ngcontent-c7="">
           Saturday March 23rd
          </th>
          <th _ngcontent-c7="">
           Sunday March 24th
          </th>
         </tr>
        </thead>
        <tbody _ngcontent-c7="">
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           9h00
          </th>
          <td _ngcontent-c7="" class="dark" rowspan="3">
          </td>
          <td _ngcontent-c7="" class="dark compe" rowspan="3">
           <div _ngcontent-c7="">
            Team Software Engineering
           </div>
           <br _ngcontent-c7="" />
           <div _ngcontent-c7="">
            CSE - Security
           </div>
           <br _ngcontent-c7="" />
           Artificial Intelligence
          </td>
          <td _ngcontent-c7="" class="dark" rowspan="3">
           <div _ngcontent-c7="">
            Reverse Engineering
           </div>
           <br _ngcontent-c7="" />
           <div _ngcontent-c7="">
            Xtreme Theory
           </div>
           <br _ngcontent-c7="" />
           DevOps
          </td>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           10h00
          </th>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           11h00
          </th>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           12h00
          </th>
          <td _ngcontent-c7="" class="light" rowspan="2">
          </td>
          <td _ngcontent-c7="" class="light" rowspan="2">
           <br _ngcontent-c7="" />
           Lunch
           <br _ngcontent-c7="" />
           <br _ngcontent-c7="" />
          </td>
          <td _ngcontent-c7="" class="light" rowspan="2">
           <br _ngcontent-c7="" />
           Lunch
           <br _ngcontent-c7="" />
           <br _ngcontent-c7="" />
          </td>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           13h00
          </th>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           14h00
          </th>
          <td _ngcontent-c7="" class="light" rowspan="1">
          </td>
          <td _ngcontent-c7="" class="dark" rowspan="3">
           <div _ngcontent-c7="">
            Team Software Engineering
           </div>
           <br _ngcontent-c7="" />
           <div _ngcontent-c7="">
            CSE - Security
           </div>
           <br _ngcontent-c7="" />
           <div _ngcontent-c7="">
            Artificial Intelligence
           </div>
           <br _ngcontent-c7="" />
           Mirego - Mobile development
           <br _ngcontent-c7="" />
          </td>
          <td _ngcontent-c7="" class="dark" rowspan="3">
           <div _ngcontent-c7="">
            Activities with sponsors
           </div>
          </td>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           15h00
          </th>
          <td _ngcontent-c7="" class="dark" rowspan="2">
           Check-in at the hotel
          </td>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           16h00
          </th>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           17h00
          </th>
          <td _ngcontent-c7="" class="light" rowspan="2">
           <br _ngcontent-c7="" />
           Supper and oppening ceremony
           <br _ngcontent-c7="" />
           <br _ngcontent-c7="" />
          </td>
          <td _ngcontent-c7="" class="light" rowspan="2">
           Supper
          </td>
          <td _ngcontent-c7="" class="light" rowspan="2">
           Banquet and closing ceremony
          </td>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           18h00
          </th>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           19h00
          </th>
          <td _ngcontent-c7="" class="dark" rowspan="4">
           <div _ngcontent-c7="">
            Relay Programming
           </div>
           <br _ngcontent-c7="" />
           <div _ngcontent-c7="">
            National Bank - Application Security
           </div>
           <br _ngcontent-c7="" />
           <div _ngcontent-c7="">
            Functional Programming
           </div>
          </td>
          <td _ngcontent-c7="" class="dark" rowspan="4">
           <div _ngcontent-c7="">
            Sport
           </div>
           <br _ngcontent-c7="" />
           <div _ngcontent-c7="">
            PSC - Web Development
           </div>
           <br _ngcontent-c7="" />
           <div _ngcontent-c7="">
            Hardware hacking
           </div>
           <br _ngcontent-c7="" />
           <div _ngcontent-c7="">
            Compiler
           </div>
          </td>
          <td _ngcontent-c7="" class="dark" rowspan="4">
          </td>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           20h00
          </th>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           21h00
          </th>
         </tr>
         <tr _ngcontent-c7="">
          <th _ngcontent-c7="">
           22h00
          </th>
         </tr>
        </tbody>
       </table>
      </div>
     </div>
    </app-schedule>
    <app-volunteers _nghost-c8="">
     <div _ngcontent-c8="" id="Volunteers">
      <h2 _ngcontent-c8="">
       Getting involved
      </h2>
      <div _ngcontent-c8="" class="row">
       <div _ngcontent-c8="" class="col-md-12">
        <p _ngcontent-c8="">
         The Organization Committee has lots to take care of during the CS Games weekend and will definitely need extra helping hands. If you want to discover the behind the scenes of the CS Games, and live this extraordinary weekend with us, we would be overjoyed to have you join the team!
        </p>
        <p _ngcontent-c8="">
         Why get involved?
        </p>
        <li _ngcontent-c8="">
         Be part of one of the biggest academic Computer Science competitions
        </li>
        <li _ngcontent-c8="">
         Make new friends for life within the CS Games Community
        </li>
        <li _ngcontent-c8="">
         Learn new skills
        </li>
        <li _ngcontent-c8="">
         Network with possible future employers
        </li>
        <li _ngcontent-c8="">
         Have fun
        </li>
        <div _ngcontent-c8="" class="row volunteers">
         <a _ngcontent-c8="" class="btn btn-raised btn-primary" href="https://docs.google.com/forms/d/e/1FAIpQLSdO3y1O4g-m0-BhwkdZGztNYio1ifDB8oNRjFb_RlXj1hpD0Q/viewform">
          Apply here
         </a>
        </div>
       </div>
      </div>
     </div>
    </app-volunteers>
    <app-theme _nghost-c9="">
     <div _ngcontent-c9="" id="Theme">
      <h2 _ngcontent-c9="">
       Theme
      </h2>
      <div _ngcontent-c9="" class="row theme">
       <!-- -->
       <a _ngcontent-c9="" class="btn btn-raised btn-primary" download="Presentation_EN.pdf" href="../../assets/file/Presentation_EN.pdf">
        More information
       </a>
       <!-- -->
      </div>
     </div>
    </app-theme>
    <app-rules _nghost-c10="">
     <div _ngcontent-c10="" id="Rules">
      <h2 _ngcontent-c10="">
       Rules
      </h2>
      <div _ngcontent-c10="" class="row rules">
       <li _ngcontent-c10="">
        Demonstrate civility, courtesy and respect for all individuals present (students, staff, sponsors, participants, organizers, volunteers, etc.)
       </li>
       <li _ngcontent-c10="">
        Respect the equipment
       </li>
       <li _ngcontent-c10="">
        Limit the space taken by your personal belongings to reasonable dimensions. (i.e. do not strew yourself)
       </li>
       <li _ngcontent-c10="">
        It is strictly forbidden to bring or consume alcohol on campus at any time, including in opaque containers (insulated cup, coffee cup, etc.)
       </li>
       <li _ngcontent-c10="">
        It is strictly forbidden to bring food or liquids in the Faculty’s classrooms
       </li>
       <li _ngcontent-c10="">
        It is strictly forbidden to wander in the corridors and spaces not designated for the competition
       </li>
      </div>
     </div>
    </app-rules>
    <app-sponsors _nghost-c11="">
     <div _ngcontent-c11="" id="Sponsors">
      <h2 _ngcontent-c11="">
       Sponsors
      </h2>
      <h3 _ngcontent-c11="">
       Become a Sponsor
      </h3>
      <div _ngcontent-c11="">
       Every year, the CS Games attract the best students in computer science, chosen by their universities or student organizations for their excellence. This is a unique opportunity to meet at the same location some of the best and most passionate students in North America.
      </div>
      <br _ngcontent-c11="" />
      <div _ngcontent-c11="">
       Why sponsor?
      </div>
      <br _ngcontent-c11="" />
      <div _ngcontent-c11="" class="row sponsors">
       <li _ngcontent-c11="">
        Access to contestants' resumes
       </li>
       <li _ngcontent-c11="">
        Display your company
       </li>
       <li _ngcontent-c11="">
        Distribute promotional items
       </li>
       <li _ngcontent-c11="">
        Presence during the competition
       </li>
       <li _ngcontent-c11="">
        Puzzle Hero integration
       </li>
       <li _ngcontent-c11="">
        Much more
       </li>
      </div>
      <div _ngcontent-c11="" class="row sponsors">
       <!-- -->
       <a _ngcontent-c11="" class="btn btn-raised btn-primary" download="sponsorship_package.pdf" href="../../assets/file/sponsorship_package.pdf">
        More information
       </a>
       <!-- -->
      </div>
     </div>
    </app-sponsors>
    <app-contact _nghost-c12="">
     <div _ngcontent-c12="" id="Contact">
      <h2 _ngcontent-c12="">
       Contact
      </h2>
      <div _ngcontent-c12="" class="row contact">
       <div _ngcontent-c12="">
        Polytechnique Montréal
       </div>
       <div _ngcontent-c12="">
        2900 Boulevard Édouard-Montpetit
       </div>
       <div _ngcontent-c12="">
        Montréal, QC H3T 1J4
       </div>
       <div _ngcontent-c12="">
        1 (888) 854-2637
       </div>
       <div _ngcontent-c12="">
        1 (888) 85GAMES
       </div>
       <div _ngcontent-c12="">
        <a _ngcontent-c12="" href="mailto:info@csgames.org">
         info@csgames.org
        </a>
       </div>
       <hr _ngcontent-c12="" />
       <div _ngcontent-c12="">
        ©2019 CS Games | All Rights Reserved.
       </div>
      </div>
     </div>
    </app-contact>
   </div>
  </app-root>
  <script type="text/javascript" src="runtime.ec2944dd8b20ec099bf3.js">
  </script>
  <script type="text/javascript" src="polyfills.c6871e56cb80756a5498.js">
  </script>
  <script type="text/javascript" src="main.801a35b91c9fcaf450df.js">
  </script>
 </body>
</html>
